Mod Compatibility List for EET

Compatbility feedback topic

Last Updated: 15.08.2018

This compatibility list will be frequently updated. It is highly recommended that you follow what is said here if you are planning to make EET installation with mods.

Compatbility List Update Record

For suggestion of mods to be added drop a note.

EET project aims to be a mod friendly platform and tries to get as much support as possible when it comes to compatibility with mods. EET comes with tools and modder resources designed for easier EET support implementation, and I'm offering advices and help with any cross-platform related coding task for already released and upcoming BG:EE and BG2:EE mods. Hopefully this approach will result in a respectable compatibility list once the mod become officially released, so that it could appeal to both mod makers and mod players.

Installation tips and notes on compatibility

Table of Contents

  1. Mods installed on BG:EE previous to installing EET on BG2:EE
  2. Mods installed after EET main component on BG2:EE
  3. Mods installed after EET main component on BG2:EE but MUST BE PATCHED FIRST

Mods installed on BG:EE previous to installing EET on BG2:EE

As a result of the conversion method explained in the readme, EET provides limited support for mods installed on BG:EE previous to installing EET on BG2:EE. Theoretically it could support almost any BG:EE mod with little to no work needed (for example adjusting BG1NPC Project to work with this method required just a few lines of code. Many mods don't need anything changed at all) as the mod resources are treated like vanilla content and patched "on the fly" during EET installation if needed. To ensure that BG:EE mods not intervene with BG2:EE portion of the game EET prevents starting the installation when unrecognised mod is detected.

This section can be treated as a temporary solution. Hopefully more and more mods will receive updates to support EET natively down the line, so they could be installed after EET on BG2:EE.

Here is a list of supported mods installed on BG:EE

Compatibility with EET doesn't mean that mods are fully compatible with each other - refer to BWP PDF files, original readme files and forum discussions for compatibility details. For example Garrick : tales of a troubadour readme file states that it conflicts with Garrick's Infatuation and Tenya NPC and it is not recommended to install them together. Same readme file also mentions that the mod requires BG1 NPC Project installed before it.

Mods have been tested with versions mentioned in above list. It's unlikely that newer ones will break something, as the compatibility changes made to them during EET installation are minimal, if made at all. As long as the mod won't suddenly conflict with BG2:EE resources it should be still supported regardless of the chnges done to it. Although let us know if you notice any problems.

Mods installed after EET main component on BG2:EE

This list, sorted in alphabetical order, contains BG2:EE and BG:EE mods that have native EET support or don't need anything changed to work natively. Some of them are only available as a beta for now (older versions didn't have EET support), so keep that in mind.

Mods installed after EET main component on BG2:EE that MUST BE PATCHED FIRST

Patches have been incorporated in Big World Fixpack, so use it before installing these mods (not needed if you're installing with Big World Setup or EE Mod Install Tool).

The patch will become outdated as soon as the author updates a mod, so if this happens the patch should not be used and the mod will become not compatible. That is why we're trying to get in contact with every mod author to make these patches officially internalized. Hopefully this list will shrink over time.